Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1197938 - [abrt] nemo: node_remove_ui_reference(): nemo killed by SIGSEGV
Summary: [abrt] nemo: node_remove_ui_reference(): nemo killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:39d7faef27b41b30602cbd8a983...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 02:10 UTC by Dave
Modified: 2015-12-02 17:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:39:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.63 KB, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: cgroup (191 bytes, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: core_backtrace (12.78 KB, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: dso_list (9.56 KB, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: environ (1.70 KB, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: maps (52.41 KB, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: open_fds (3.68 KB, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details
File: var_log_messages (464 bytes, text/plain)
2015-03-03 02:10 UTC, Dave
no flags Details

Description Dave 2015-03-03 02:10:05 UTC
Description of problem:
Closed a tab which was open to a Windows remote share

Version-Release number of selected component:
nemo-2.4.4-4.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        nemo
crash_function: node_remove_ui_reference
executable:     /usr/bin/nemo
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 node_remove_ui_reference at deprecated/gtkuimanager.c:1460
 #1 remove_ui at deprecated/gtkuimanager.c:2218
 #2 g_node_traverse_post_order at gnode.c:617
 #7 g_node_traverse at gnode.c:901
 #8 gtk_ui_manager_remove_ui at deprecated/gtkuimanager.c:2240
 #9 load_view_as_menu at nemo-window.c:1420
 #10 load_view_as_menus_callback at nemo-window.c:1476
 #11 ready_callback_call at nemo-directory-async.c:1275
 #12 call_ready_callbacks_at_idle at nemo-directory-async.c:1857
 #16 g_main_context_iteration at gmain.c:3842

Comment 1 Dave 2015-03-03 02:10:07 UTC
Created attachment 997296 [details]
File: backtrace

Comment 2 Dave 2015-03-03 02:10:07 UTC
Created attachment 997297 [details]
File: cgroup

Comment 3 Dave 2015-03-03 02:10:08 UTC
Created attachment 997298 [details]
File: core_backtrace

Comment 4 Dave 2015-03-03 02:10:09 UTC
Created attachment 997299 [details]
File: dso_list

Comment 5 Dave 2015-03-03 02:10:09 UTC
Created attachment 997300 [details]
File: environ

Comment 6 Dave 2015-03-03 02:10:10 UTC
Created attachment 997301 [details]
File: exploitable

Comment 7 Dave 2015-03-03 02:10:11 UTC
Created attachment 997302 [details]
File: limits

Comment 8 Dave 2015-03-03 02:10:12 UTC
Created attachment 997303 [details]
File: maps

Comment 9 Dave 2015-03-03 02:10:12 UTC
Created attachment 997304 [details]
File: open_fds

Comment 10 Dave 2015-03-03 02:10:13 UTC
Created attachment 997305 [details]
File: proc_pid_status

Comment 11 Dave 2015-03-03 02:10:13 UTC
Created attachment 997306 [details]
File: var_log_messages

Comment 12 Dr M C Nelson 2015-03-31 22:37:13 UTC
Another user experienced a similar problem:

browsing a remove director via sftp
unmounted the remote
nemo desktop crashed



reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        nemo -n
crash_function: node_remove_ui_reference
executable:     /usr/bin/nemo
kernel:         3.19.1-201.fc21.x86_64
package:        nemo-2.4.4-4.fc21
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-11-04 12:51:20 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-12-02 09:39:37 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.